' Copyright (C) 2025  P4pillon.org
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU Affero General Public License as
' published by the Free Software Foundation, either version 3 of the
' License, or (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU Affero General Public License for more details.
'
' You should have received a copy of the GNU Affero General Public License
' along with this program.  If not, see <https://www.gnu.org/licenses/>.
Imports System
Imports System.Runtime.InteropServices
Public Class MyZlib
    <DllImport("zlibwapi.dll", EntryPoint:="compress")> _
 Friend Shared Function CompressByteArray(ByVal dest As Byte(), ByRef destLen As Integer, ByVal src As Byte(), ByVal srcLen As Integer) As Integer
    End Function

    <DllImport("zlibwapi.dll", EntryPoint:="uncompress")> _
Friend Shared Function UncompressByteArray(ByVal dest As Byte(), ByRef destLen As Integer, ByVal src As Byte(), ByVal srcLen As Integer) As Integer
    End Function


    '#define Z_NO_COMPRESSION         0
    '#define Z_BEST_SPEED             1
    '#define Z_BEST_COMPRESSION       9
    '#define Z_DEFAULT_COMPRESSION  (-1)
    <DllImport("zlibwapi.dll", EntryPoint:="compress2")> _
    Friend Shared Function Compress2ByteArray(ByVal dest As Byte(), ByRef destLen As Integer, ByVal src As Byte(), ByVal srcLen As Integer, ByVal level As Integer) As Integer
    End Function
    Private Sub New()

    End Sub

End Class
